--- a/src/Makefile
+++ b/src/Makefile
@@ -1,8 +1,9 @@
 CC:=gcc
-CFLAGS:=$(CFLAGS) -I../../lib -I../include `pkg-config --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN
-#CFLAGS:=$(CFLAGS) -O2 -Wall -I../../lib -I../include `pkg-config --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN -DHAVE_MYSQL
-LIBS:=$(LIBS) -ljcomp -lm `pkg-config --libs glib-2.0` `pkg-config --libs gthread-2.0` -lexpat -lidn
-#LIBS:=$(LIBS) -ljcomp -lm `pkg-config --libs glib-2.0` `pkg-config --libs gthread-2.0` -lexpat -lidn `mysql_config --libs`
+PKG_CONFIG?=pkg-config
+CFLAGS:=$(CFLAGS) -I../../lib -I../include `$(PKG_CONFIG) --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN
+#CFLAGS:=$(CFLAGS) -O2 -Wall -I../../lib -I../include `$(PKG_CONFIG) --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN -DHAVE_MYSQL
+LIBS:=$(LIBS) -ljcomp -lm `$(PKG_CONFIG) --libs glib-2.0` `$(PKG_CONFIG) --libs gthread-2.0` -lexpat -lidn
+#LIBS:=$(LIBS) -ljcomp -lm `$(PKG_CONFIG) --libs glib-2.0` `$(PKG_CONFIG) --libs gthread-2.0` -lexpat -lidn `mysql_config --libs`
 LDFLAGS:=$(LDFLAGS) -L.
 
 # Debug/Experimental
